Manuel



de



FreeCAD





Splash013.jpg




Ce manuel traite des Outils de création d'objets.


Part Design



Outils de création d'objets solides

PartDesign Pad.png Protrusion

Emplacement du menu
Part Design → Protrusion
Ateliers
Part Design, Complet
Raccourci par défaut
Aucun
Voir aussi
Aucun

Contents


Description

L'outil Protrusion crée une protrusion à partir d'une esquisse sélectionnée. Une protrusion est essentiellement l'extrusion d'un solide depuis une esquisse. Par exemple, si une esquisse a été faite de deux cercles concentriques, et que l'outil Protrusion a ensuite été utilisé sur cette esquisse, le résultat serait un tube cylindrique :

Pad cylinder.png

Si l'esquisse sélectionnée est appliquée sur la face d'une solide existant ou d'une autre fonction Part Design, la protrusion sera fusionnée au solide.

Utilisation

  1. Sélectionner une esquisse.
  2. Cliquer sur le bouton PartDesign Pad.png Protrusion.
  3. Définir les paramètres de protrusion (voir section suivante).
  4. Cliquer sur OK.

Options

Lors de la création de la protrusion, la vue combinée bascule automatiquement à l'onglet Tâches, qui affiche le dialogue « Paramètres de protrusion ».

Pad parameters cropped fr.png

Type

Offre 5 différentes façons de définir la longueur de la protrusion.

Dimension

Permet de saisir une valeur numérique pour la longueur de la protrusion. La direction par défaut de la protrusion est vers le haut du plan d'esquisse, mais cela peut être changé en cochant la case Inversé. La protrusion s'effectue normaleau plan de l'esquisse. L'option Symétrique au plan étendra la protrusion à la moitié de la longueur saisie de chaque côté du plan d'esquisse. Les dimensions négatives ne sont pas permises, utilisez plutôt l'option Inversé.

Deux dimensions

Permet de saisir une seconde valeur de longueur pour prolonger la protrusion dans la direction opposée (à travers le support). La direction peut également être changée avec l'option Inversé.

Au dernier

La protrusion sera prolongée jusqu'à la dernière face rencontrée dans la direction d'extrusion. S'il n'y a aucun support rencontré, un message d'erreur apparaîtra.

Au premier

La protrusion sera prolongée jusqu'à la première face rencontrée dans la direction d'extrusion. S'il n'y a aucun support rencontré, un message d'erreur apparaîtra.

Jusqu'à la face

La protrusion sera prolongée jusqu'à la face sélectionnée du support. La face est sélectionnée en cliquant sur le bouton Face, puis en cliquant sur la face désirée dans la vue modèle. S'il n'y a aucun support, aucune sélection ne sera allouée.

Longueur

Définit la longueur de la protrusion. Plusieurs unités peuvent être utilisées, indépendamment des préférences de l'utilisateur (m, cm, mm, nm, ft ou ' pour pieds, in ou " pour pouces).

Symétrique au plan

Cocher la case pour prolonger la moitié de la longueur définie de chaque côté du plan d'esquisse.

Inversé

Inverse la direction de la protrusion.

Limitations

  • Comme toutes les fonctions Part Design, la Protrusion créé un solide, l'esquisse doit par conséquent inclure un profil fermé ou elle échouera. Il peut y avoir plusieurs profils fermés à l'intérieur d'un profil fermé plus grand, pourvu qu'aucun des profils ne s'entrecroise (par exemple, un rectangle avec deux cercles à l'intérieur sera valide).
  • L'algorithme utilisé pour Au premier et Au dernier fonctionne ainsi :
    • Il crée une ligne passant par le centre de gravité de l'esquisse ;
    • Il trouve toutes les faces du support coupées par cette ligne ;
    • Il choisit la face la plus près/la plus loin du point d'intersection de l'esquisse.
  • Cela veut dire que la face trouvée pourrait ne pas être celle attendue. Si vous faites face à ce problème, utilisez plutôt le type Jusqu'à la face et sélectionnez la face désirée.
  • Dans le cas très spécifique d'une protrusion sur une surface concave, où l'esquisse est plus grande que cette surface, la protrusion échouera. Il s'agit d'un bogue non-résolu.
  • Il n'y a pas de nettoyage automatique des surfaces planaires adjacentes pour former une seule surface. Vous pouvez corriger cela manuellement dans l'atelier Part (Pièce) avec l'outil Affiner la forme (qui créé un solide non-associatif et non-paramétrique) ou encore avec une fonction "Refine shape feature" (qui créé une fonction paramétrique) de l'atelier OpenSCAD.


PartDesign Pocket.png Cavité

Emplacement du menu
PartDesign → Cavité
Ateliers
PartDesign, Complet
Raccourci par défaut
Aucun
Voir aussi
Protrusion


Introduction

Créer une cavité avec l'esquisse sélectionnée - Cet outil prend une esquisse sélectionnée comme entrée, et produit une cavité. Une cavité est essentiellement un procédé d'extrusion d'une esquisse qui soustrait de la matière d'une géométrie. Par exemple, si une esquisse était constituée seulement d'un cercle sur la face d'un cube, la cavité formée par cette esquisse se manifesterait comme un perçage, ou un trou dans le cube :

Pocket cropped.png

Utilisation

  1. Sélectionner une esquisse. Celle-ci doit être appliquée sur la face d'un solide ou d'une fonction PartDesign existant, sinon un message d'erreur apparaîtra.
  2. Cliquer sur le bouton PartDesign Pocket.png Cavité.
  3. Définir les paramètres de cavité (voir section suivante).
  4. Cliquer sur OK.

Options

Pocket options fr.png

À la création d'une cavité, le dialogue « Paramètres de cavité » offre quatre façons différentes de définir la longueur (profondeur) à laquelle la cavité sera extrudée :

Dimension

Permet de saisir une valeur numérique pour la profondeur de la cavité. La direction par défaut de la cavité est vers le haut du plan d'esquisse. L'extrusion s'effectue normale au plan de l'esquisse. Les valeurs numériques négatives ne sont pas allouées.

Au premier

La cavité sera prolongée jusqu'à la première face rencontrée dans la direction d'extrusion. Autrement dit, elle coupera à travers le solide jusqu'à ce qu'elle atteigne un espace vide.

À travers tout

La cavité coupera à travers tout le solide dans la direction d'extrusion. Avec l'option « Symétrique au plan », la cavité coupera à travers tout dans les deux directions.

Jusqu'à la face

La cavité sera prolongée jusqu'à la face sélectionnée du support. La face est sélectionnée en cliquant sur le bouton Face, puis en cliquant sur la face désirée dans la vue modèle.


Limitations

  • Utilisez le type Dimension ou À travers tout dans la mesure du possible, car les autres types peuvent parfois causer problème quand la cavité est utilisée pour une répétition linéaire ou circulaire.
  • Autrement, la fonction cavité partage les mêmes limitations que la fonction protrusion.

Liens utiles

Un exemple pratique sur le forum (en anglais).


PartDesign Revolution.png Révolution

Emplacement du menu
Part Design → Révolution
Ateliers
PartDesign, Complet
Raccourci par défaut
Aucun
Voir aussi


Introduction

Cet outil produit un solide par révolution d'une esquisse ou d'un objet 2D sélectionné autour d'un axe donné. Pour toutes les explications suivantes de cette commande, l'esquisse en exemple ci-dessous sera utilisée :

Exemple d'esquisse : Une esquisse complexe comportant de nombreuses contraintes. L'esquisse est orientée sur le plan x-y, x étant l'axe horizontal et y l'axe vertical (représentées par les deux lignes bleues dans l'image). D'autres éléments importants à mentionner à propos de cette esquisse : elle est symétrique par rapport à l'axe Y, et sa base est coïncidente avec l'axe X.


Options

Lors de la création de la révolution, la vue combinée bascule automatiquement à l'onglet Tâches, qui affiche le dialogue "Paramètres de la révolution". Plusieurs paramètres permettent de définir comment l'esquisse sera révolutionnée.

Partdesign revolution parameters.png

Axe

Cette option spécifie l'axe autour duquel l'esquisse doit être tournée. Actuellement, par défaut seul l'axe d'esquisse horizontale ou verticale peut être sélectionné ici. Toutefois, si l'esquisse qui définit la forme à faire tourner contient également une ligne de construction (ou des lignes), puis la liste déroulante contiendra un axe d'esquisse personnalisé pour chaque ligne de construction. La première ligne de construction sera étiquetée «axe Sketch 0 '. Après, la création un axe arbitraire peut être défini dans la table Propriétés. La Base est un point par lequel passe l'axe. L'option de l'axe prend trois arguments, qui sont passés comme des nombres dans les cases x, y ou z dans l'outil. L'ajout d'une valeur de 1.0 à une seule des boîtes entraîne l'outil pour faire la révolution autour de cet axe. Exemple, les révolutions 1, 2 et 3 dans la section exemples montrent les scénarios où l'exemple d'esquisse tourne autour x ou l'axe y. L'ajout d'une valeur différente de zéro à plus d'un des axes fait que la pièce va être tournée par un montant pondéré dans chaque |axe. par exemple une valeur de x et une valeur y égale à 2 signifiera que la révolution autour de l'axe y est deux fois plus forte que celle de x. Ceci est assez difficile à comprendre, Exemple révolution n° 4 montre un exemple où plusieurs zone ont une valeur non nulle.

Angle

Détermine la valeur de la rotation, par exemple, 360 ° seraient, une révolution complète . Les images dans la section exemples montrent que|lques-unes des possibilités avec des angles différents . Il n'est pas possible de spécifier des angles négatifs (utiliser l'option 'Inversée' à la place) ou des angles supérieurs à 360 °.

Symétrique au plan

La révolution s'étendra de la moitié de l'angle spécifié dans les deux directions du plan d'esquisse.

Inversée

La direction de la révolution sera inversée


Exemples

Exemple de révolution utilisant une ligne de construction comme axe de révolution: Dans cette image l'angle est de 75 °, la révolution est sur la ligne de construction (axe Sketch 0)


Note: Contrairement à ce qui précède, tous les exemples ci-dessous se réfèrent à la Base, Axes et placement étant édité directement à travers la table des propriétés de fonction.
Exemple révolution 1: Dans cette image l'angle a été réglé à 70 °, la révolution est autour de l'axe des x et il y a un décalage y de 100 mm. L'esquisse est la face qui n'est pas montrée dans l'image (c'est à dire la face "arrière")
Exemple révolution 2:. Dans cette image l'angle est de 70 °, la révolution est sur l'axe y et il y a un décalage y de 100 mm
Exemple révolution 3:. Dans cette image de l'angle est de 270 °, la révolution est autour de l'axe des x et il y a 0 décalages
Exemple révolution 4: Dans cette image de l'angle est de 270 °, la révolution est autour de l'axe des x (valeur 1,00) et l'axe des y (valeur 2,00) et il y a un décalage y de 100 mm


Liens utiles

Un exemple d'utilisation détaillé sur le forum (en anglais).

PartDesign Groove.png Enlèvement de matière par révolution

Emplacement du menu
PartDesign → Enlèvement de matière par révolution
Ateliers
PartDesign, Complet
Raccourci par défaut
Aucun
Voir aussi
Aucun


Introduction

Cet outil text-top=Révolution Révolutionne, une text-top=Sketcher esquisse sélectionnée, ou un objet 2D autour d'un axe donné, et découpe une text-top=Rainure Rainure. Par exemple, l'image montre une text-top=Rainure Rainure, découpée dans un arbre.

PartDesign Groove fr 01.png

Utilisation

Sélectionnez l'atelier Part Design Part, sur la barre d'outils, ou sur Affichage → Atelier → Part Design. Pour effectuer une text-top=Rainure Rainure sur une esquisse existante, vous devez sélectionner votre esquisse, puis cliquez sur le bouton text-top=Rainure Rainure.

Options

Vue combinée → Tâche

Les paramètres, ont exactement les mêmes spécificités que text-top=Révolution Révolution. Commencez par créer une text-top=Sketcher esquisse, une boîte de dialogue apparait : Les outils d'esquisse,

PartDesign Cavite fr 08.png

Part Box.png Outils d'esquisse

TÂCHES Créer une esquisse : Crée une text-top=Sketcher esquisse

TÂCHES Protrusion : Crée une text-top=Protrusion Protrusion

TÂCHES Cavité : Crée une text-top=Cavité Cavité

TÂCHES Révolution : Crée une text-top=Révolution Révolution

TÂCHES Groove : Crée une text-top=Rainure Rainure

Cliquez sur text-top=Rainure Groove (Rainure), une autre boîte de dialogue apparaît : Paramètres de rainure et vous offre plusieurs paramètres, spécifiant, comment l'objet doit pivoter..

PartDesign Groove fr 05.png

PartDesign Groove.png Groove paramètres

TÂCHES Axis : Défini dans quel axe l'text-top=Sketcher esquisse doit pivoter, Horizontal ou Vertical Tache Axis fr 00.png (Défaut Vertical).

TÂCHES Angle : Défini l'angle de rotation de l'esquisse à 360° (Défaut 360°).

TÂCHES Symétric to plane : Si la case est cochée, la construction se fait symétriquement par rapport au text-top=Sélection du plan plan de l'esquisse (Défaut décoché).

TÂCHES Reversed : Si la case est décochée, la construction se fait de à 360° dans le sens anti horaire, si la case est cochée, la construction se fait de à 360° dans le sens horaire (Défaut décoché).

Propriétés

Vue combinée → Projet → Vue

PartDesign Groove fr 03.png

Base

  • VUEBounding Box : Permet de visualiser l'occupation, et, les dimensions hors tout, de l'objet dans l'espace. Valeur FALSE, ou TRUE (Défaut, FALSE).
  • VUEControl Point : Valeur FALSE, ou TRUE (Défaut, FALSE).
  • VUEDeviation :
  • VUEDisplay Mode : Mode d'affichage de la forme, Flat lines, Shaded, Wireframe, Points Vue DisplayModePartDesign fr 00.png. (Défaut, Flat lines).
  • VUEDraw Style : Type de ligne, Solid, Dashed, Dotted, Dashdot Vue DrawStyle fr 00.png. (Défaut, Solid).
  • VUELighting : Éclairage One side, Two side Vue Lighting fr 00.png. (Défaut, Two side).
  • VUELine Color : Donne la couleur de la ligne (bords) (Défaut, 25, 25, 25).
  • VUELine Width : Donne l'épaisseur de la ligne (bords) (Défaut, 2).
  • VUEPoint Color : Donne la couleur des points (extrémités de la forme) (Defaut, 25, 25, 25).
  • VUEPoint Size : Donne la dimension des points (Défaut, 2).
  • VUESelectable : Autorise la sélection de la forme. Valeur FALSE, ou TRUE (Defaut, TRUE).
  • VUEShape Color : Donne la couleur de la forme (Défaut, 204, 204, 204).
  • VUETransparency : Règle le degrés de transparence de la forme, de 0 à 100 (Defaut, 0).
  • VUEVisibility : Détermine la visibilité de la forme (comme la barre ESPACE). Valeur FALSE, ou TRUE (Défaut, TRUE).

Vue combinée → Projet → Données

PartDesign Groove fr 04.png

Base

DONNÉESLabel : Nom de l'objet (modifiable à volomté).

DONNÉESPlacement : [(0,00 0,00 1,00);0,00;(0,00 0,00 0,00)], donne l'ensemble des données Axis, Angle, et, Position ci dessous. Si vous sélectionnez, le titre Placement Options Placement, un bouton avec trois petits points s'affiche, en cliquant sur ce bouton ... , vous avez accès à la fenêtre d'options Tâche Placement.

  • DONNÉESAngle : Angle de rotation par rapport aux coordonnées X, Y, Z de à 360°
  • DONNÉESAxis : [0,00 0,00 0,00], récapitulatif de toutes les données Axis. Sélection de l'axe(s) de rotation de travail X, Y, ou Z. Par exemple : nous déterminons un angle de 15°, nous spécifions une valeur de 1,0 pour x et 2,0 pour y, cette configuration, aura pour effet, une rotation finale de la pièce qui sera de, " 15° dans l'axe x " et " 30° dans l'axe y ". (Défaut, Z = 1 = actif)

DONNÉESPosition : [0,00 0,00 0,00], récapitulatif de toutes les données de position. Déplacement des coordonnées X, Y, Z, par rapport aux points d'origine 0, 0, 0.

Groove

DONNÉESAngle : Détermine l'angle de rotation de la construction à 360° (Défaut 360°).

DONNÉESAxis : [0,00 0,00 0,00], récapitulatif de toutes les données Axis. Sélection de l'axe(s) de rotation de travail X, Y, ou Z. Par exemple : nous déterminons un DONNÉESAngle de 15°, nous spécifions une valeur de 1,0 pour x et 2,0 pour y, cette configuration, aura pour effet, une rotation finale de la pièce qui sera de, " 15° dans l'axe x " et " 30° dans l'axe y ". (Défaut, Z = 1 = actif)

DONNÉESBase : [0,00 0,00 0,00], récapitulatif de toutes les données Base. X, Y, ou Z.

DONNÉESMidplane : Midplane, Valeur FALSE, ou TRUE (Défaut, FALSE).

DONNÉESReversed : Reversed, Valeur FALSE, ou TRUE (Défaut, FALSE).


Exemple

PartDesign Groove fr 02.gif
  • 1 : Votre esquisse effectuée avec le text-top=Sketcher Sketcher.
  • 2 : Cliquez sur le bouton de la boîte à outils déroulante (ou Affichage → Atelier → Part Design),
  • 3 : pour voir dérouler le menu.
  • 4 : Sélectionnez l'atelier Part Design Part.
  • 5 : La barre d'outils Part Design Part Design, s'affiche avec les autres outils déjà disponibles.
  • 6 : Sélectionnez votre esquisse avec deux clics gauche de la souris (sélectionne l'ensemble du croquis),
  • 7 : et, la liste d'Outils d'esquisse s'affiche.
  • 8 : Sélectionnez text-top=Rainure Rainure,
  • 9 : une opération de text-top=Révolution Révolution, viens de s'effectuer (Défaut, Axe vertical). La fenêtre de la Groove Paramètres s'affiche.
  • 10 : Définissez axe Horizontal,
  • 13 : et, validez en cliquant sur le bouton OK.
  • 14 : Une nouvelle branche, s'est ajoutée à l'arbre.
  • 15 : Le résultat final. Si vous cliquez sur la flèche en regard de l'icône "Groove",
  • 16 : nous voyons notre text-top=Sketcher esquisse, qui peut être effacée, mais vous ne saurez plus effectuer de modification sur la pièce.


Remarque

Lors de l'èlaboration de votre text-top=Sketcher esquisse, retenez bien ce concept :


Les outils de Construction

Protrusion    Cavité    Révolution    Rainure   


Outils de modification

Ces outils permettent de modifier des objets existants.

PartDesign Fillet.png Congé

Emplacement du menu
Part Design → Congé
Ateliers
PartDesign, Complet
Raccourci par défaut
Aucun
Voir aussi
Congé


Introduction

Cet outil applique des text-top=Congé Congés sur les arêtes sélectionnées d'un objet. Un nouvel élément Fillet (suivi d'un nombre séquentiel s'il ne s'agit pas du premier text-top=Congé Congé créé dans le document) est ajouté dans l'arborescence Projet.

Pièce arrondie (congé)

Utilisation

Sélectionnez une, ou plusieurs arêtes sur un objet, puis démarrez l'outil, soit en cliquant sur l'icône text-top=Congé Congé de la barre d'outils, soit par le menu Affichage → Atelier → Part Design. Pour une chaîne d'arêtes tangentes entre elles, la sélection d'une seule des arêtes est requise, le text-top=Congé Congé, se propagera automatiquement le long de la chaîne. Pour modifier le text-top=Congé Congé après sa création, double-cliquer sur son entrée dans Vue Combinée → Projet → sur le Fillet à modifier, ou faire un clic droit, et, sélectionnez Modifier le fillet.

Options

Vue combinée → Tâche

PartDesign Fillet fr 05.png

PartDesign Fillet.png Paramètres de l'arrondi

TÂCHES Rayon : Réglez le rayon du text-top=Congé Congé, en saisissant une valeur, ou en cliquant sur les flèches haut et bas. Un aperçu en temps réel est affiché dans la fenêtre 3D. Cliquez sur OK pour valider.


Propriétés

Vue combinée → Projet → Vue

PartDesign Fillet fr 03.png

Base

  • VUEBounding Box : Permet de visualiser l'occupation, et, les dimensions hors tout, de l'objet dans l'espace. Valeur FALSE, ou TRUE (Défaut, FALSE).
  • VUEControl Point : Valeur FALSE, ou TRUE (Défaut, FALSE).
  • VUEDeviation :
  • VUEDisplay Mode : Mode d'affichage de la forme, Flat lines, Shaded, Wireframe, Points Vue DisplayModePartDesign fr 00.png. (Défaut, Flat lines).
  • VUEDraw Style : Type de ligne, Solid, Dashed, Dotted, Dashdot Vue DrawStyle fr 00.png. (Défaut, Solid).
  • VUELighting : Éclairage One side, Two side Vue Lighting fr 00.png. (Défaut, Two side).
  • VUELine Color : Donne la couleur de la ligne (bords) (Défaut, 25, 25, 25).
  • VUELine Width : Donne l'épaisseur de la ligne (bords) (Défaut, 2).
  • VUEPoint Color : Donne la couleur des points (extrémités de la forme) (Defaut, 25, 25, 25).
  • VUEPoint Size : Donne la dimension des points (Défaut, 2).
  • VUESelectable : Autorise la sélection de la forme. Valeur FALSE, ou TRUE (Defaut, TRUE).
  • VUEShape Color : Donne la couleur de la forme (Défaut, 204, 204, 204).
  • VUETransparency : Règle le degrés de transparence de la forme, de 0 à 100 (Defaut, 0).
  • VUEVisibility : Détermine la visibilité de la forme (comme la barre ESPACE). Valeur FALSE, ou TRUE (Défaut, TRUE).

Vue combinée → Projet → Données

PartDesign Fillet fr 04.png

Base

DONNÉESLabel : Nom de l'objet (modifiable à volonté).

DONNÉESPlacement : [(0,00 0,00 1,00);0,00;(0,00 0,00 0,00)], donne l'ensemble des données Axis, Angle, et, Position ci dessous. Si vous sélectionnez, le titre Placement Options Placement, un bouton avec trois petits points s'affiche, en cliquant sur ce bouton ... , vous avez accès à la fenêtre d'options Tâche Placement.

  • DONNÉESAngle : Angle de rotation par rapport aux coordonnées X, Y, Z
  • DONNÉESAxis : Sélection de l'axe(s) de rotation de travail X, Y, ou Z. Par exemple : nous déterminons un DONNÉESAngle de 15°, nous spécifions une valeur de 1,0 pour x et 2,0 pour y, cette configuration, aura pour effet, une rotation finale de la pièce qui sera de, " 15° dans l'axe x " et " 30° dans l'axe y ". (Défaut, Z = 1 = actif)
  • DONNÉESPosition : Déplacement des coordonnées X, Y, Z, par rapport aux points d'origine 0, 0, 0.

DONNÉESRadius : Donne la valeur au rayon du text-top=Congé Congé


Exemple


Comparaison congé PartDesign et congé Part

Le text-top=Congé Congé PartDesign ne doit pas être confondu avec son équivalent de l'atelier Part text-top=Congé Congé Part. Bien qu'ils partagent la même icône, ces outils sont différents, et s'utilisent différemment.

Voici quelques différences :

  • Le text-top=Congé Congé PartDesign est paramétrique. Après l'application d'un text-top=Congé Congé, sa dimension peut être modifié ; ce n'est pas le cas du text-top=Congé Congé Part.
  • Les arêtes doivent être sélectionnées avant de démarrer le text-top=Congé Congé PartDesign. Le text-top=Congé Congé Part, quant à lui, peut être lancé, puis, suivi de la sélection du solide, et, enfin des arêtes.
  • Le text-top=Congé Congé PartDesign ajoute une entrée distincte dans l'arborescence Projet. Le text-top=Congé Congé Part devient le parent de l'objet auquel il a été appliqué.
  • Le text-top=Congé Congé Partdesign affiche un aperçu en temps réel de l'application du congé avant la validation de la fonction.
  • Le text-top=Congé Congé Part supporte les dimensions variables (avec une dimension de départ, et, une dimension d'arrivée). Le text-top=Congé Congé PartDesign ne le permet pas.

Script

L'outil text-top=Congé Congés peut servir dans une macros, et, à partir de la console Python en utilisant la fonction suivante :

Box = Box.makeFillet(3,[Box.Edges[0]]) # 1 Fillet
Box = Box.makeFillet(3,[Box.Edges[1],Box.Edges[2],Box.Edges[3],Box.Edges[4]]) # for several Fillets 
  • 3 = rayon du congé
  • Box.Edges[2] = bord avec son numéro


Exemple :

import PartDesign
from FreeCAD import Base

Box = Part.makeBox(10,10,10)
Box = Box.makeFillet(3,[Box.Edges[0]]) # pour 1 Fillet
Box = Box.makeFillet(3,[Box.Edges[1],Box.Edges[2],Box.Edges[3],Box.Edges[4]]) # for several Fillets
Part.show(Box) 


PartDesign Chamfer.png Chanfrein PartDesign

Emplacement du menu
Part Design → Chanfrein
Ateliers
PartDesign, Complete
Raccourci par défaut
Aucun
Voir aussi
Chanfrein Pièce


Introduction

Cet outil applique des text-top=Chanfrein chanfreins sur les arêtes sélectionnées d'un objet. Un nouvel élément Chamfer (suivi d'un nombre séquentiel s'il ne s'agit pas du premier text-top=Chanfrein Chanfrein créé dans le document) est ajouté dans l'arborescence Projet.

Pièce chanfreinée



Utilisation

Sélectionnez une, ou plusieurs arêtes sur un objet, puis démarrez l'outil, soit en cliquant sur l'icône text-top=Chanfrein Chanfrein de la barre d'outils, soit par le menu Affichage → Atelier → Part Design.
Pour une chaîne d'arêtes tangentes entre elles, la sélection d'une seule des arêtes est requise, le text-top=Chanfrein chanfrein, se propagera automatiquement le long de la chaîne.
Pour modifier le text-top=Chanfrein chanfrein après sa création, double-cliquer sur son entrée dans Vue Combinée → Projet → sur le Chamfer à modifier, ou faire un clic droit, et, sélectionnez Modifier le chanfrein.

Options

Vue combinée → Tâche


PartDesign Chamfer fr 05.png

PartDesign Chamfer.png Paramètres du chanfrein

TÂCHES Size : Réglez la dimension du text-top=Chanfrein chanfrein, en saisissant une valeur, ou en cliquant sur les flèches haut et bas. Un aperçu en temps réel est affiché dans la fenêtre 3D.
Cliquez sur OK pour valider.


Propriétés

Vue combinée → Chamfer → Vue


PartDesign Chamfer fr 03.png

Base

  • VUEBounding Box : Permet de visualiser l'occupation, et, les dimensions hors tout, de l'objet dans l'espace. Valeur FALSE, ou TRUE (Défaut, FALSE).
  • VUEControl Point : Valeur FALSE, ou TRUE (Défaut, FALSE).
  • VUEDeviation :
  • VUEDisplay Mode : Mode d'affichage de la forme, Flat lines, Shaded, Wireframe, Points Vue DisplayModePartDesign fr 00.png. (Défaut, Flat lines).
  • VUEDraw Style : Type de ligne, Solid, Dashed, Dotted, Dashdot Vue DrawStyle fr 00.png. (Défaut, Solid).
  • VUELighting : Éclairage One side, Two side Vue Lighting fr 00.png. (Défaut, Two side).
  • VUELine Color : Donne la couleur de la ligne (bords) (Défaut, 25, 25, 25).
  • VUELine Width : Donne l'épaisseur de la ligne (bords) (Défaut, 2).
  • VUEPoint Color : Donne la couleur des points (extrémités de la forme) (Defaut, 25, 25, 25).
  • VUEPoint Size : Donne la dimension des points (Défaut, 2).
  • VUESelectable : Autorise la sélection de la forme. Valeur FALSE, ou TRUE (Defaut, TRUE).
  • VUEShape Color : Donne la couleur de la forme (Défaut, 204, 204, 204).
  • VUETransparency : Règle le degrés de transparence de la forme, de 0 à 100 (Defaut, 0).
  • VUEVisibility : Détermine la visibilité de la forme (comme la barre ESPACE). Valeur FALSE, ou TRUE (Défaut, TRUE).


Vue combinée → Chamfer → Données


PartDesign Chamfer fr 04.png

Base

DONNÉESLabel : Nom de l'objet (modifiable à volonté).

DONNÉESPlacement : [(0,00 0,00 1,00);0,00;(0,00 0,00 0,00)], donne l'ensemble des données Axis, Angle, et, Position ci dessous.
Si vous sélectionnez, le titre Placement Options Placement, un bouton avec trois petits points s'affiche, en cliquant sur ce bouton ... , vous avez accès à la fenêtre d'options Tâche Placement.

  • DONNÉESAngle : Angle de rotation par rapport aux coordonnées X, Y, Z
  • DONNÉESAxis : Sélection de l'axe(s) de rotation de travail X, Y, ou Z.
    Par exemple : nous déterminons un DONNÉESAngle de 15°, nous spécifions une valeur de 1,0 pour x et 2,0 pour y, cette configuration, aura pour effet, une rotation finale de la pièce qui sera de, " 15° dans l'axe x " et " 30° dans l'axe y ". (Défaut, Z = 1 = actif)
  • DONNÉESPosition : Déplacement des coordonnées X, Y, Z, par rapport aux points d'origine 0, 0, 0.

DONNÉESSize :Projet Donne la valeur au text-top=Chanfrein chanfrein


Exemple




Comparaison Chanfrein Conception de Pièce et Chanfrein Pièce

Le text-top=Chanfrein Chanfrein PartDesign ne doit pas être confondu avec son équivalent de l'atelier Part text-top=Chanfrein Chanfrein Part.
Bien qu'ils partagent la même icône, ces outils sont différents, et s'utilisent différemment.

Voici quelques différences :


Les outils de modifications Part Design

Congé    Chanfrein     Dépouille    



Outils de transformation

Ce sont des outils de transformation d'éléments existants. Ils vous permettrons de choisir les objets à transformer.

PartDesign Mirrored.png Symétrie

Emplacement du menu
Part Design → Symétrie
Ateliers
PartDesign, Complet
Raccourci par défaut
Aucun
Voir aussi
Aucun


Introduction

L'outil text-top=Symétrie Symétrie prend un élément sélectionné en entrée (l'original), et génère une copie symétrique par rapport à un plan donné. Cet élément peut être une protrusion ou une cavité appliquée sur un solide existant.

Par exemple :

Mirrored example.png


Utilisation

Sélection Plan de symétrie

Lors de la création d'une symétrie, le dialogue des "paramètres de symétrie" offre quatre façons différentes de spécifier la ligne ou plan de symétrie.

Axe horizontal du croquis

Utilisations de l'axe horizontal de l'esquisse comme axe de symétrie.

Axe vertical du croquis

Utilisations de l'axe vertical de l'esquisse comme axe de symétrie.

Sélectionnez une référence ...

Vous permet de sélectionner un plan (comme une face d'un objet) pour l'utiliser comme plan de symétrie

Axe personnalisé du croquis

Si l'esquisse qui définit l'élément à symétriser contient également une ligne de construction (ou lignes), alors dans la liste déroulante contiendra un axe d' esquisse personnalisé pour chaque ligne de construction. La première ligne de la construction sera étiquetée «axe Sketch 0 '.

Aperçu

Le résultat de la symétrie peut être prévisualisé en temps réel avant de cliquer sur OK en cochant "Update view".


PartDesign Mirrored axis fromconstructionlines.jpg


Limitations

  • Actuellement, seule la dernière forme dans l'arbre du projet peut être choisi comme «original» Par conséquent,
    • il n'est pas possible de choisir plus d'une forme à symétriser
    • Il n'est pas possible de sélectionner plus de formes à ajouter à la vue de la liste des «originaux»
    • Une fois la fonction de symétrie entamée ou complétée, il n'est pas possible de remplacer la forme originale par une autre.

Les outils de transformations Part Design

Miroir     Fonction linéaire    Fonction polaire     Echelle    Multi transformation   



PartDesign LinearPattern.png Répétition linéaire

Emplacement du menu
Part Design → Répétition linéaire
Ateliers
PartDesign, Complet
Raccourci par défaut
Aucun
Voir aussi
Aucun


Introduction

Cet outil prend une fonction PartDesign sélectionnée comme entrée et produit un ensemble de copies translatées dans une direction donnée. Par exemple :

Linearpattern example.png


Options

Linearpattern parameters.png

Lors de la création d'une répétition linéaire, la boîte de dialogue 'Paramètres de la répétition linéaire' offre deux manières différentes de spécifier la direction du modèle.

Axe Standard

Un des axes standards X , Y ou Z , peut être choisi avec les boutons radio. La direction du modèle peut être inversée, en cochant la case à cocher Inverser la direction.

Sélectionner une face

Appuyer sur le bouton Direction, permet de sélectionner une face, ou l'arête d'un solide, pour indiquer une direction. La direction du modèle sera, une normale à la face, si une face est sélectionnée. Notez que le bouton Direction, doit être pressé chaque fois, que vous voulez sélectionner une nouvelle face ou arête.

Sélection de l'original

La vue, liste, et, affiche les caractéristiques originales, qui doivent être structurées. En cliquant sur une caractéristique, elle sera ajoutée à la liste.

La longueur et les Occurrences

Spécifie la longueur qui doit être couverte par le modèle, et, le nombre total de formes, et, de motifs (y compris la forme originale). Par exemple, six occurrences dans une longueur de 150 donnerait un espacement de 30 entre les modèles, (150 divisé par 5, puisqu'il y a 5 vides pour un total de six occurrences!).


Limitations

  • Les formes répétées ne peuvent pas se chevaucher, sauf dans le cas spécifique de seulement deux occurrences (original plus une copie).
  • Les formes qui ne chevauchent pas le support original seront exclues. Ceci garantit qu'une fonction PartDesign se compose toujours d'un volume solide unique.
  • Pour d'autres limitations, voir Symétrie.

Les outils de transformations Part Design

Miroir     Fonction linéaire    Fonction polaire     Echelle    Multi transformation   


PartDesign PolarPattern.png Répétition circulaire

Emplacement du menu
Part Design → Répétition circulaire
Ateliers
PartDesign, Complet
Raccourci par défaut
Aucun
Voir aussi
Aucun


Introduction

L'outil text-top=Répétition circulaire Répétition circulaire prend une fonction comme entrée et produit à partir de celle-ci un ensemble de copies pivotées autour d'un axe donné.

Exemple :

Polarpattern example.png


Options

Lors de la création d'une fonction de répétition circulaire, la boîte de dialogue 'Paramètres de répétition circulaire' offre deux façons de définir l'axe de rotation du modèle.

Axe normal à l'esquisse

Un axe normal au plan d'esquisse et centré sur l'origine de l'esquisse est utilisé comme axe de rotation de la répétition circulaire. En cochant Inverser la direction, la direction de la répétition peut être inversée.

Sélectionner une référence

Une arête peut être sélectionnée pour référence. Si cette option est choisie, seule une arête de la fonction précédant la répétition circulaire peut être sélectionnée. Vous pouvez donc utiliser cette option selon cette séquence :

  • Créer une fonction d'assistance (par exemple une protrusion) dont une arête coïncide avec l'axe de répétition circulaire désiré
  • Créer une fonction (protrusion ou cavité) à répéter
  • Lancer la fonction de répétition circulaire et sélectionner l'arête de référence
  • Créer une seconde fonction d'assistance (une cavité par exemple) pour supprimer la première fonction d'assistance.

La direction de la répétition peut être inversée en cochant « Inverser la direction ».

PartDesign PolarPattern EdgeReference.gif


Angle et Occurrences

Spécifie l'angle qui sera couvert par la répétition circulaire, ainsi que le nombre total de répétitions (y compris la forme d'origine). Par exemple, quatre occurrences dans un angle de 180 degrés donnera un espacement de 60 degrés entre les répétitions. Il existe une exception : si l'angle est de 360 degrés, puisque la première et la dernière occurrence sont identiques, quatre occurrences seront espacées de 90 degrés.

Limitations


Exemple

Polarpattern example2.jpg

Les outils de transformations Part Design

Miroir     Fonction linéaire    Fonction polaire     Echelle    Multi transformation   


PartDesign Scaled.png Echelle

Emplacement du menu
PartDesign → MultiTransform
Ateliers
PartDesign, Complet
Raccourci par défaut
Aucun
Voir aussi
Aucun


Note

Since FreeCAD 0.15, this feature is not available directly, but is included as MultiTransform component

Introduction

L'outil text-top=Echelle Echelle : prend un ou plusieurs objet(s) sélectionné(s) comme entrée (les originaux), et, les transformes à un facteur d'échelles donné. Étant donné que l'text-top=Echelle Echelle, se construit autour du centre de gravité, des objets choisis, ils disparaissent habituellement à l'intérieur de la version de l'échelle. Donc, normalement il est seulement judicieux d'utiliser l'text-top=Echelle Echelle, dans le cadre de la fonction text-top=PartDesign_MultiTransform Transformation Multiple.

Options

Scaled parameters.png

Lorsque vous utilisez la fonction text-top=Echelle Echelle, la boîte de dialogue des paramètres d'text-top=Echelle Echelle, offre les options suivantes :

Selection des originaux

La fenêtre affiche les originaux, des objets qui doivent être mis à l'text-top=Echelle Echelle. En cliquant sur un objet, il sera ajouté à la liste.

Facteur et Occurrences

Spécifie le nombre et le facteur maximal à donner aux objets, qui vont être mis à l'text-top=Echelle Echelle, (y compris la sélection originale).


Limitations

  • Scaling always happens with the centre of gravity of the feature as the base point.
  • A scaled transformation should not be the first in the list
  • The scaled transformation must have the same number of occurrences as the transformation immediately preceding it in the list
  • See linear pattern feature for other limitations
  • See MultiTransform for more details

Examples

c

The smallest pad was first patterned three times in X direction and then scaled to factor two (so the three occurrences have scaling factor 1.0, 1.5 and 2.0). Then a polar pattern was applied with 8 occurrences.

Since the scaling is done with respect to the center of gravity, in the case of a pad, it is necessary that the pad penetrate also in the main body, otherwise the scaled objects are floating, detached from the body. To have a pad that intersects the main body can be used "two dimensions" type or "simmetric to plane" option.


PartDesign MultiTransform.png Transformations Multiples

Emplacement du menu
PartDesign → Transformations Multiples
Ateliers
PartDesign, Complet
Raccourci par défaut
Aucun
Voir aussi
Aucun


Introduction

L'outil text-top=Transformations Multiples Transformations Multiples prend une série d'un, ou plusieurs objets sélectionnés, comme entrée (les originaux), et, permet de leurs appliquer une séquence, de plusieurs modifications. Par exemple, pour produire un rebord avec une double rangée de trous, le trou (l'original) est d'abord structuré selon une text-top=Répétition linéaire d'un Modèle Répétition linéaire d'un Modèle, dans la direction X, et puis, le motif est reproduit huit fois, de manière text-top=Répétition Circulaire d'un Modèle Répétition Circulaire d'un Modèle, autour de l'axe Y.

Multitransform example.png


Options

Multitransfrom parameters.png

Lorsque vous utilisez la fonction text-top= Transformations Multiples Transformations Multiples, la boîte de dialogue des paramètres text-top=Transformations Multiples Transformations Multiples, offre deux listes différentes.

Selection des originaux

La liste montre les Originaux : les éléments qui doivent être modélisés. Cliquez sur un ou tous les éléments, ils seront ajoutés à la liste.

Sélectionner une transformation

La fenêtre Transformations : cette liste peut être remplie avec une combinaison de transformations simples, text-top=Symétrie Symétrie, text-top=Répétition Linéaire d'un Modèle Répétition Linéaire d'un Modèle, text-top=Répétition Circulaire d'un Modèle Répétition Circulaire d'un Modèle, text-top=Echelle Echelle. Les transformations, seront appliquées les une après les autres.

Le menu contextuel propose les entrées suivantes :

Edit

Permet de modifier dans la liste, les paramètres d'une transformation (double cliquer dessus, aura le même effet)

Delete

Efface la transformation de la liste.

Add transformation

Ajoute une transformation dans la liste.

Déplacement Haut/Bas

Permet de changer l'ordre des transformations dans la liste.

Limitations

  • La fonction text-top=Echelle Echelle de la transformation à faire, ne devrait pas être la première dans la liste.
  • La transformation de mise à l'text-top=Echelle Echelle, doit avoir le même nombre d'occurrences, que la transformation précédente dans la liste.
  • Pour de plus amples restrictions, voir les caractéristique du text-top=Reproduction linéaire d'un Modèle linéaire Reproduction linéaire d'un Modèle.


Exemples

c

Tout d'abord, la plus petite plaquette, a été copiée trois fois dans la direction X, et, ensuite mis à l'text-top=Echelle Echelle d'un facteur deux (donc les trois occurrences ont un facteur d'échelle de 1.0, 1.5 et 2.0). Puis une text-top=Répétition Circulaire d'un Modèle Répétition Circulaire d'un Modèle, a été appliquée avec 8 occurrences.

c

La poche, a été tout d'abord été mise en text-top=Symétrie Symétrie sur le plan YZ, et, ensuite structurée avec deux text-top=Répétition Linéaire d'un modèle Répétition Linéaire d'un Modèles , pour donner un motif rectangulaire.

Les outils de transformations Part Design

Miroir     Fonction linéaire    Fonction polaire     Echelle    Multi transformation   

Credits

<translate> FreeCAD would not be what it is without the generous contributions of many people. Here's an overview of the people and companies who contributed to FreeCAD over time. For credits for the third party libraries see the Third Party Libraries page.

Developement

Project managers

Lead developers of the FreeCAD project: </translate>

<translate>

Main developers

People who work regularly on the FreeCAD code (retrieved from https://github.com/FreeCAD/FreeCAD/graphs/contributors): </translate>

<translate>

Other coders

Other people who contributed code to the FreeCAD project: </translate>

  • jmaustpc
  • j-dowsett
  • keithsloan52
  • Joachim Zettler
  • Graeme van der Vlugt
  • Berthold Grupp
  • Georg Wiora
  • Martin Burbaum
  • Jacques-Antoine Gaudin
  • Ken Cline
  • Dmitry Chigrin
  • Remigiusz Fiedler (DXF-parser)
  • peterl94
  • jobermayr
  • ovginkel
  • triplus
  • tomate44
  • maurerpe
  • Johan3DV
  • Mandeep Singh
  • fandaL
  • jonnor
  • usakhelo
  • plaes
  • SebKuzminsky
  • jcc242
  • ezzieyguywuf
  • marktaff
  • poutine70
  • qingfengxia
  • dbtayl
  • itain
  • Barleyman

<translate>

Companies

Companies which donated code or developer time: </translate>

<translate>

Forum moderators

People in charge of the FreeCAD forum (retrieved from http://forum.freecadweb.org/memberlist.php?mode=team): </translate>

<translate>

Community

People from the community who put a lot of efforts in helping the FreeCAD project either by being active on the forum, keeping a blog about FreeCAD, making video tutorials, packaging FreeCAD for Windows/Linux/MacOS X, writing a FreeCAD book... (listed by alphabetical order) (retrieved from http://forum.freecadweb.org/memberlist.php?mode=&sk=d&sd=d#memberlist) </translate>

<translate>

Documentation writers

People who wrote the documentation on this wiki: </translate>

  • Renato Rivoira (renatorivo)
  • Honza32
  • Hervé Blorec
  • Eduardo Magdalena
  • piffpoof
  • Wurstwasser
  • Roland Frank (r-frank)
  • bejant
  • Ediloren
  • Isaac Ayala

<translate>

Translators

People who helped to translate the FreeCAD application (retrieved from https://crowdin.com/project/freecad): </translate>

  • Gerhard Scheepers
  • wbrwbr2011
  • hanhsuan
  • hicarl
  • fandaL
  • Peta T
  • Zdeněk Havlík
  • Jodbe
  • Peter Hageman
  • Vilfredo
  • Bruno Gonçalves Pirajá
  • Timo Seppola
  • rako
  • Pasi Kukkola
  • Ettore Atalan
  • nikoss
  • yang12
  • totyg
  • htsubota
  • asakura
  • Masaya Ootsuki
  • Jiyong Choi
  • Bartlomiej Niemiec
  • trzyha
  • bluecd
  • Miguel Morais
  • Nicu Tofan
  • Victor Radulescu
  • Angelescu Constantin
  • sema
  • Николай Матвеев
  • pinkpony
  • Alexandre Prokoudine
  • Марко Пејовић
  • Marosh
  • Peter Klofutar
  • Raulshc
  • javierMG
  • Lars
  • kunguz
  • Igor
  • Федір

<translate>

Addons developers

Developers of FreeCAD addons (retrieved from https://github.com/FreeCAD/FreeCAD-addons): </translate>

  • microelly2
  • hamish2014
  • jreinhardt
  • jmwright
  • cblt2l
  • javierMG
  • looooo
  • shaise
  • marmni
  • Maaphoo
  • Rentlau

<translate> </translate>